ResourceRequestPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.impl.pb, class: ResourceRequestPBImpl

Package org.apache.hadoop.yarn.api.records.impl.pb

# Class ResourceRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.ResourceRequest
org.apache.hadoop.yarn.api.records.impl.pb.ResourceRequestPBImpl

All Implemented Interfaces:
  `Comparable<org.apache.hadoop.yarn.api.records.ResourceRequest>`

@Private @Unstable public class ResourceRequestPBImpl extends org.apache.hadoop.yarn.api.records.ResourceRequest

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.api.records.ResourceRequest

  `org.apache.hadoop.yarn.api.records.ResourceRequest.ResourceRequestBuilder, org.apache.hadoop.yarn.api.records.ResourceRequest.ResourceRequestComparator`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.yarn.api.records.ResourceRequest

  `ANY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceRequestPBImpl()`
  `ResourceRequestPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.ResourceRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getAllocationRequestId()`
  `org.apache.hadoop.yarn.api.records.Resource`
  `getCapability()`
  `org.apache.hadoop.yarn.api.records.ExecutionTypeRequest`
  `getExecutionTypeRequest()`
  `String`
  `getNodeLabelExpression()`
  `int`
  `getNumContainers()`
  `org.apache.hadoop.yarn.api.records.Priority`
  `getPriority()`
  `org.apache.hadoop.yarn.proto.YarnProtos.ResourceRequestProto`
  `getProto()`
  `boolean`
  `getRelaxLocality()`
  `String`
  `getResourceName()`
  `void`
  `setAllocationRequestId(long allocationRequestID)`
  `void`
  `setCapability(org.apache.hadoop.yarn.api.records.Resource capability)`
  `void`
  `setExecutionTypeRequest(org.apache.hadoop.yarn.api.records.ExecutionTypeRequest execSpec)`
  `void`
  `setNodeLabelExpression(String nodeLabelExpression)`
  `void`
  `setNumContainers(int numContainers)`
  `void`
  `setPriority(org.apache.hadoop.yarn.api.records.Priority priority)`
  `void`
  `setRelaxLocality(boolean relaxLocality)`
  `void`
  `setResourceName(String resourceName)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.ResourceRequest

  `clone, compareTo, equals, hashCode, isAnyLocation, newBuilder, newInstance, newInstance, newInstance, newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ResourceRequestPBImpl

    public ResourceRequestPBImpl()

  - ### ResourceRequestPBImpl

    public ResourceRequestPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.ResourceRequestProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnProtos.ResourceRequestProto getProto()

  - ### getPriority

    public org.apache.hadoop.yarn.api.records.Priority getPriority()
    Specified by:
      `getPriority` in class `org.apache.hadoop.yarn.api.records.ResourceRequest`

  - ### setPriority

    public void setPriority(org.apache.hadoop.yarn.api.records.Priority priority)
    Specified by:
      `setPriority` in class `org.apache.hadoop.yarn.api.records.ResourceRequest`

  - ### getExecutionTypeRequest

    public org.apache.hadoop.yarn.api.records.ExecutionTypeRequest getExecutionTypeRequest()
    Overrides:
      `getExecutionTypeRequest` in class `org.apache.hadoop.yarn.api.records.ResourceRequest`

  - ### setExecutionTypeRequest

    public void setExecutionTypeRequest(org.apache.hadoop.yarn.api.records.ExecutionTypeRequest execSpec)
    Overrides:
      `setExecutionTypeRequest` in class `org.apache.hadoop.yarn.api.records.ResourceRequest`

  - ### getResourceName

    public String getResourceName()
    Specified by:
      `getResourceName` in class `org.apache.hadoop.yarn.api.records.ResourceRequest`

  - ### setResourceName

    public void setResourceName(String resourceName)
    Specified by:
      `setResourceName` in class `org.apache.hadoop.yarn.api.records.ResourceRequest`

  - ### getCapability

    public org.apache.hadoop.yarn.api.records.Resource getCapability()
    Specified by:
      `getCapability` in class `org.apache.hadoop.yarn.api.records.ResourceRequest`

  - ### setCapability

    public void setCapability(org.apache.hadoop.yarn.api.records.Resource capability)
    Specified by:
      `setCapability` in class `org.apache.hadoop.yarn.api.records.ResourceRequest`

  - ### getNumContainers

    public int getNumContainers()
    Specified by:
      `getNumContainers` in class `org.apache.hadoop.yarn.api.records.ResourceRequest`

  - ### setNumContainers

    public void setNumContainers(int numContainers)
    Specified by:
      `setNumContainers` in class `org.apache.hadoop.yarn.api.records.ResourceRequest`

  - ### getRelaxLocality

    public boolean getRelaxLocality()
    Specified by:
      `getRelaxLocality` in class `org.apache.hadoop.yarn.api.records.ResourceRequest`

  - ### setRelaxLocality

    public void setRelaxLocality(boolean relaxLocality)
    Specified by:
      `setRelaxLocality` in class `org.apache.hadoop.yarn.api.records.ResourceRequest`

  - ### getAllocationRequestId

    public long getAllocationRequestId()
    Overrides:
      `getAllocationRequestId` in class `org.apache.hadoop.yarn.api.records.ResourceRequest`

  - ### setAllocationRequestId

    public void setAllocationRequestId(long allocationRequestID)
    Overrides:
      `setAllocationRequestId` in class `org.apache.hadoop.yarn.api.records.ResourceRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getNodeLabelExpression

    public String getNodeLabelExpression()
    Specified by:
      `getNodeLabelExpression` in class `org.apache.hadoop.yarn.api.records.ResourceRequest`

  - ### setNodeLabelExpression

    public void setNodeLabelExpression(String nodeLabelExpression)
    Specified by:
      `setNodeLabelExpression` in class `org.apache.hadoop.yarn.api.records.ResourceRequest`